
_Write_MCP9600_Data:

;Thermo_K_PIC.c,34 :: 		char Write_MCP9600_Data(char RegAddr, char _data)
;Thermo_K_PIC.c,36 :: 		tmp_data[0] = RegAddr;                                                        // Register address
	MOVF        FARG_Write_MCP9600_Data_RegAddr+0, 0 
	MOVWF       _tmp_data+0 
;Thermo_K_PIC.c,37 :: 		tmp_data[1] = _data;
	MOVF        FARG_Write_MCP9600_Data__data+0, 0 
	MOVWF       _tmp_data+1 
;Thermo_K_PIC.c,39 :: 		I2C1_Start();
	CALL        _I2C1_Start+0, 0
;Thermo_K_PIC.c,40 :: 		I2C1_Wr( MCP9600_I2C_ADDR );
	MOVLW       192
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;Thermo_K_PIC.c,41 :: 		I2C1_Wr( tmp_data[ 0 ] );
	MOVF        _tmp_data+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;Thermo_K_PIC.c,42 :: 		I2C1_Wr( tmp_data[ 1 ] );
	MOVF        _tmp_data+1, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;Thermo_K_PIC.c,43 :: 		I2C1_Stop();
	CALL        _I2C1_Stop+0, 0
;Thermo_K_PIC.c,44 :: 		}
L_end_Write_MCP9600_Data:
	RETURN      0
; end of _Write_MCP9600_Data

_Read_MCP9600_Data:

;Thermo_K_PIC.c,53 :: 		char Read_MCP9600_Data( char RegAddr )
;Thermo_K_PIC.c,55 :: 		tmp_data[0] = RegAddr;                                                        // Register address
	MOVF        FARG_Read_MCP9600_Data_RegAddr+0, 0 
	MOVWF       _tmp_data+0 
;Thermo_K_PIC.c,57 :: 		I2C1_Start();
	CALL        _I2C1_Start+0, 0
;Thermo_K_PIC.c,58 :: 		I2C1_Wr( MCP9600_I2C_ADDR );
	MOVLW       192
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;Thermo_K_PIC.c,59 :: 		I2C1_Wr( tmp_data[ 0 ] );
	MOVF        _tmp_data+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;Thermo_K_PIC.c,60 :: 		I2C1_Stop();
	CALL        _I2C1_Stop+0, 0
;Thermo_K_PIC.c,61 :: 		Delay_us( 50 );
	MOVLW       66
	MOVWF       R13, 0
L_Read_MCP9600_Data0:
	DECFSZ      R13, 1, 1
	BRA         L_Read_MCP9600_Data0
	NOP
;Thermo_K_PIC.c,62 :: 		I2C1_Start();
	CALL        _I2C1_Start+0, 0
;Thermo_K_PIC.c,63 :: 		I2C1_Wr( MCP9600_I2C_ADDR | 1 );
	MOVLW       193
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;Thermo_K_PIC.c,64 :: 		tmp_data[ 0 ] = I2C1_Rd( 0 );
	CLRF        FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVF        R0, 0 
	MOVWF       _tmp_data+0 
;Thermo_K_PIC.c,65 :: 		I2C1_Stop();
	CALL        _I2C1_Stop+0, 0
;Thermo_K_PIC.c,67 :: 		return tmp_data[0];                                                           // Return MCP9600 Data value
	MOVF        _tmp_data+0, 0 
	MOVWF       R0 
;Thermo_K_PIC.c,68 :: 		}
L_end_Read_MCP9600_Data:
	RETURN      0
; end of _Read_MCP9600_Data

_Read_MCP9600_Status:

;Thermo_K_PIC.c,77 :: 		char Read_MCP9600_Status()
;Thermo_K_PIC.c,81 :: 		tmp_data[0] = MCP9600_Status;                                                 // Register address
	MOVLW       4
	MOVWF       _tmp_data+0 
;Thermo_K_PIC.c,83 :: 		I2C1_Start();
	CALL        _I2C1_Start+0, 0
;Thermo_K_PIC.c,84 :: 		I2C1_Wr( MCP9600_I2C_ADDR );
	MOVLW       192
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;Thermo_K_PIC.c,85 :: 		I2C1_Wr( tmp_data[ 0 ] );
	MOVF        _tmp_data+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;Thermo_K_PIC.c,86 :: 		I2C1_Stop();
	CALL        _I2C1_Stop+0, 0
;Thermo_K_PIC.c,87 :: 		Delay_us( 50 );
	MOVLW       66
	MOVWF       R13, 0
L_Read_MCP9600_Status1:
	DECFSZ      R13, 1, 1
	BRA         L_Read_MCP9600_Status1
	NOP
;Thermo_K_PIC.c,88 :: 		I2C1_Start();
	CALL        _I2C1_Start+0, 0
;Thermo_K_PIC.c,89 :: 		I2C1_Wr( MCP9600_I2C_ADDR | 1 );
	MOVLW       193
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;Thermo_K_PIC.c,90 :: 		tmp_data[ 0 ] = I2C1_Rd( 0 );
	CLRF        FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVF        R0, 0 
	MOVWF       _tmp_data+0 
;Thermo_K_PIC.c,91 :: 		I2C1_Stop();
	CALL        _I2C1_Stop+0, 0
;Thermo_K_PIC.c,94 :: 		return DataSum;                                                               // Return MCP9600 Data value
	MOVF        _tmp_data+0, 0 
	MOVWF       R0 
;Thermo_K_PIC.c,95 :: 		}
L_end_Read_MCP9600_Status:
	RETURN      0
; end of _Read_MCP9600_Status

_Read_Temperature:

;Thermo_K_PIC.c,104 :: 		float Read_Temperature()
;Thermo_K_PIC.c,108 :: 		tmp_data[0] = MCP9600_TH;                                                     // Thermocouple Temperature register
	CLRF        _tmp_data+0 
;Thermo_K_PIC.c,110 :: 		I2C1_Start();
	CALL        _I2C1_Start+0, 0
;Thermo_K_PIC.c,111 :: 		I2C1_Wr( MCP9600_I2C_ADDR );
	MOVLW       192
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;Thermo_K_PIC.c,112 :: 		I2C1_Wr( tmp_data[ 0 ] );
	MOVF        _tmp_data+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;Thermo_K_PIC.c,113 :: 		I2C1_Stop();
	CALL        _I2C1_Stop+0, 0
;Thermo_K_PIC.c,114 :: 		Delay_us( 50 );
	MOVLW       66
	MOVWF       R13, 0
L_Read_Temperature2:
	DECFSZ      R13, 1, 1
	BRA         L_Read_Temperature2
	NOP
;Thermo_K_PIC.c,115 :: 		I2C1_Start();
	CALL        _I2C1_Start+0, 0
;Thermo_K_PIC.c,116 :: 		I2C1_Wr( MCP9600_I2C_ADDR | 1 );
	MOVLW       193
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;Thermo_K_PIC.c,117 :: 		tmp_data[ 0 ] = I2C1_Rd( 1 );
	MOVLW       1
	MOVWF       FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVF        R0, 0 
	MOVWF       _tmp_data+0 
;Thermo_K_PIC.c,118 :: 		tmp_data[ 1 ] = I2C1_Rd( 0 );
	CLRF        FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVF        R0, 0 
	MOVWF       _tmp_data+1 
;Thermo_K_PIC.c,119 :: 		I2C1_Stop();
	CALL        _I2C1_Stop+0, 0
;Thermo_K_PIC.c,121 :: 		if((tmp_data[0] & 0x80) == 0x80){                                             // TA < 0C
	MOVLW       128
	ANDWF       _tmp_data+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       128
	BTFSS       STATUS+0, 2 
	GOTO        L_Read_Temperature3
;Thermo_K_PIC.c,122 :: 		tmp_data[0] = tmp_data[0] & 0x7F;                                           // Clear SIGN
	MOVLW       127
	ANDWF       _tmp_data+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	MOVWF       _tmp_data+0 
;Thermo_K_PIC.c,123 :: 		Temperature = 1024 - (tmp_data[0]*16 + tmp_data[1] / 16);
	MOVLW       4
	MOVWF       R0 
	MOVF        R1, 0 
	MOVWF       R2 
	MOVLW       0
	MOVWF       R3 
	MOVF        R0, 0 
L__Read_Temperature15:
	BZ          L__Read_Temperature16
	RLCF        R2, 1 
	BCF         R2, 0 
	RLCF        R3, 1 
	ADDLW       255
	GOTO        L__Read_Temperature15
L__Read_Temperature16:
	MOVF        _tmp_data+1, 0 
	MOVWF       R0 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	MOVLW       0
	MOVWF       R1 
	MOVF        R2, 0 
	ADDWF       R0, 1 
	MOVF        R3, 0 
	ADDWFC      R1, 1 
	MOVF        R0, 0 
	SUBLW       0
	MOVWF       R0 
	MOVF        R1, 0 
	MOVWF       R1 
	MOVLW       4
	SUBFWB      R1, 1 
	CALL        _int2double+0, 0
	MOVF        R0, 0 
	MOVWF       Read_Temperature_Temperature_L0+0 
	MOVF        R1, 0 
	MOVWF       Read_Temperature_Temperature_L0+1 
	MOVF        R2, 0 
	MOVWF       Read_Temperature_Temperature_L0+2 
	MOVF        R3, 0 
	MOVWF       Read_Temperature_Temperature_L0+3 
;Thermo_K_PIC.c,124 :: 		}
	GOTO        L_Read_Temperature4
L_Read_Temperature3:
;Thermo_K_PIC.c,126 :: 		Temperature = (tmp_data[0] * 16 + (float)tmp_data[1] / 16);                 // Temperature = Ambient Temperature (C)
	MOVLW       4
	MOVWF       R0 
	MOVF        _tmp_data+0, 0 
	MOVWF       FLOC__Read_Temperature+4 
	MOVLW       0
	MOVWF       FLOC__Read_Temperature+5 
	MOVF        R0, 0 
L__Read_Temperature17:
	BZ          L__Read_Temperature18
	RLCF        FLOC__Read_Temperature+4, 1 
	BCF         FLOC__Read_Temperature+4, 0 
	RLCF        FLOC__Read_Temperature+5, 1 
	ADDLW       255
	GOTO        L__Read_Temperature17
L__Read_Temperature18:
	MOVF        _tmp_data+1, 0 
	MOVWF       R0 
	CALL        _byte2double+0, 0
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       0
	MOVWF       R6 
	MOVLW       131
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__Read_Temperature+0 
	MOVF        R1, 0 
	MOVWF       FLOC__Read_Temperature+1 
	MOVF        R2, 0 
	MOVWF       FLOC__Read_Temperature+2 
	MOVF        R3, 0 
	MOVWF       FLOC__Read_Temperature+3 
	MOVF        FLOC__Read_Temperature+4, 0 
	MOVWF       R0 
	MOVF        FLOC__Read_Temperature+5, 0 
	MOVWF       R1 
	CALL        _int2double+0, 0
	MOVF        FLOC__Read_Temperature+0, 0 
	MOVWF       R4 
	MOVF        FLOC__Read_Temperature+1, 0 
	MOVWF       R5 
	MOVF        FLOC__Read_Temperature+2, 0 
	MOVWF       R6 
	MOVF        FLOC__Read_Temperature+3, 0 
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       Read_Temperature_Temperature_L0+0 
	MOVF        R1, 0 
	MOVWF       Read_Temperature_Temperature_L0+1 
	MOVF        R2, 0 
	MOVWF       Read_Temperature_Temperature_L0+2 
	MOVF        R3, 0 
	MOVWF       Read_Temperature_Temperature_L0+3 
L_Read_Temperature4:
;Thermo_K_PIC.c,128 :: 		return Temperature;                                                           // Return Thermocouple temperature data
	MOVF        Read_Temperature_Temperature_L0+0, 0 
	MOVWF       R0 
	MOVF        Read_Temperature_Temperature_L0+1, 0 
	MOVWF       R1 
	MOVF        Read_Temperature_Temperature_L0+2, 0 
	MOVWF       R2 
	MOVF        Read_Temperature_Temperature_L0+3, 0 
	MOVWF       R3 
;Thermo_K_PIC.c,129 :: 		}
L_end_Read_Temperature:
	RETURN      0
; end of _Read_Temperature

_updateLabel:

;Thermo_K_PIC.c,138 :: 		void updateLabel(char *newText, int x, int y, char* lbl)
;Thermo_K_PIC.c,140 :: 		Lcd_Out( 2, 5, newText );
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       5
	MOVWF       FARG_Lcd_Out_column+0 
	MOVF        FARG_updateLabel_newText+0, 0 
	MOVWF       FARG_Lcd_Out_text+0 
	MOVF        FARG_updateLabel_newText+1, 0 
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Thermo_K_PIC.c,141 :: 		}
L_end_updateLabel:
	RETURN      0
; end of _updateLabel

_main:

;Thermo_K_PIC.c,146 :: 		void main()
;Thermo_K_PIC.c,150 :: 		ANCON0 = 0;                        // Configure PORTB pins as digital
	CLRF        ANCON0+0 
;Thermo_K_PIC.c,151 :: 		ANCON1 = 0;
	CLRF        ANCON1+0 
;Thermo_K_PIC.c,152 :: 		ANCON2 = 0;
	CLRF        ANCON2+0 
;Thermo_K_PIC.c,153 :: 		LCD_BCK_Direction = 0;
	BCF         TRISG3_bit+0, BitPos(TRISG3_bit+0) 
;Thermo_K_PIC.c,154 :: 		LCD_BCK = 1;
	BSF         LATG3_bit+0, BitPos(LATG3_bit+0) 
;Thermo_K_PIC.c,156 :: 		Lcd_Init();                        // Initialize LCD
	CALL        _Lcd_Init+0, 0
;Thermo_K_PIC.c,157 :: 		Lcd_Cmd(_LCD_CLEAR);               // Clear display
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;Thermo_K_PIC.c,158 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);
	MOVLW       12
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;Thermo_K_PIC.c,159 :: 		Lcd_Out( 1, 2, "Thermo K click" );
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       2
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr1_Thermo_K_PIC+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr1_Thermo_K_PIC+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Thermo_K_PIC.c,160 :: 		I2C1_Init( 100000 );
	MOVLW       40
	MOVWF       SSP1ADD+0 
	CALL        _I2C1_Init+0, 0
;Thermo_K_PIC.c,161 :: 		Delay_ms( 200 );                                                                // Delay 200 ms
	MOVLW       5
	MOVWF       R11, 0
	MOVLW       15
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L_main5:
	DECFSZ      R13, 1, 1
	BRA         L_main5
	DECFSZ      R12, 1, 1
	BRA         L_main5
	DECFSZ      R11, 1, 1
	BRA         L_main5
;Thermo_K_PIC.c,163 :: 		while(1){
L_main6:
;Thermo_K_PIC.c,164 :: 		tk_status = &Read_MCP9600_Status;
	MOVLW       _Read_MCP9600_Status+0
	MOVWF       _tk_status+0 
;Thermo_K_PIC.c,165 :: 		Temp_Data_Ready = ( tk_status & 0x40 );
	MOVLW       64
	ANDWF       _tk_status+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       _Temp_Data_Ready+0 
;Thermo_K_PIC.c,167 :: 		if (Temp_Data_Ready){                                                       // Check is Temperature Data ready
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main8
;Thermo_K_PIC.c,168 :: 		sprintf(txt, "%2.1f C", Read_Temperature());                              // Format Temperature Data and store it to txt
	CALL        _Read_Temperature+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_sprintf_wh+5 
	MOVF        R1, 0 
	MOVWF       FARG_sprintf_wh+6 
	MOVF        R2, 0 
	MOVWF       FARG_sprintf_wh+7 
	MOVF        R3, 0 
	MOVWF       FARG_sprintf_wh+8 
	MOVLW       _txt+0
	MOVWF       FARG_sprintf_wh+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_sprintf_wh+1 
	MOVLW       ?lstr_2_Thermo_K_PIC+0
	MOVWF       FARG_sprintf_f+0 
	MOVLW       hi_addr(?lstr_2_Thermo_K_PIC+0)
	MOVWF       FARG_sprintf_f+1 
	MOVLW       higher_addr(?lstr_2_Thermo_K_PIC+0)
	MOVWF       FARG_sprintf_f+2 
	CALL        _sprintf+0, 0
;Thermo_K_PIC.c,169 :: 		res = strcmp(txt,old_txt);                                                // Compare old_txt and txt
	MOVLW       _txt+0
	MOVWF       FARG_strcmp_s1+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_strcmp_s1+1 
	MOVLW       _old_txt+0
	MOVWF       FARG_strcmp_s2+0 
	MOVLW       hi_addr(_old_txt+0)
	MOVWF       FARG_strcmp_s2+1 
	CALL        _strcmp+0, 0
;Thermo_K_PIC.c,171 :: 		if(res != 0){                                                             // If old_txt and txt are not equal
	MOVF        R0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_main9
;Thermo_K_PIC.c,172 :: 		updateLabel(txt, 135, 90, lab1);                                        // Write temperature value on display
	MOVLW       _txt+0
	MOVWF       FARG_updateLabel_newText+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_updateLabel_newText+1 
	MOVLW       135
	MOVWF       FARG_updateLabel_x+0 
	MOVLW       0
	MOVWF       FARG_updateLabel_x+1 
	MOVLW       90
	MOVWF       FARG_updateLabel_y+0 
	MOVLW       0
	MOVWF       FARG_updateLabel_y+1 
	MOVLW       _lab1+0
	MOVWF       FARG_updateLabel_lbl+0 
	MOVLW       hi_addr(_lab1+0)
	MOVWF       FARG_updateLabel_lbl+1 
	CALL        _updateLabel+0, 0
;Thermo_K_PIC.c,173 :: 		strcpy(old_txt,txt);                                                    // Copy txt to old_txt string array
	MOVLW       _old_txt+0
	MOVWF       FARG_strcpy_to+0 
	MOVLW       hi_addr(_old_txt+0)
	MOVWF       FARG_strcpy_to+1 
	MOVLW       _txt+0
	MOVWF       FARG_strcpy_from+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_strcpy_from+1 
	CALL        _strcpy+0, 0
;Thermo_K_PIC.c,174 :: 		}
L_main9:
;Thermo_K_PIC.c,175 :: 		}
L_main8:
;Thermo_K_PIC.c,176 :: 		Delay_ms(500);
	MOVLW       11
	MOVWF       R11, 0
	MOVLW       38
	MOVWF       R12, 0
	MOVLW       93
	MOVWF       R13, 0
L_main10:
	DECFSZ      R13, 1, 1
	BRA         L_main10
	DECFSZ      R12, 1, 1
	BRA         L_main10
	DECFSZ      R11, 1, 1
	BRA         L_main10
	NOP
	NOP
;Thermo_K_PIC.c,177 :: 		}
	GOTO        L_main6
;Thermo_K_PIC.c,178 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
